Subject: Monarch Butterfly Migration

From: [email-masked] (graciela)
Date: Fri, 29 Mar 1996 15:02:46 GMT

Check out the Journey North site at: http://www.learner.org/k12/.

Migrating monarch butterflies have been sighted in Texas and Louisiana.
Hopefully, everyone will support this project by e-mailing their first
sightings to the Journey North Program. Sent your first-sightings report
to:
[email-masked]

Don Davis